[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# WeeksBetween

Calculate the number of whole weeks between two TDateTime values

## Declaration

Source position: dateutil.inc line 271

`function WeeksBetween(`
`const ANow: TDateTime;`
`const AThen: TDateTime`
`):Integer;`

## Arguments

`ANow` |  | First moment in time
`AThen` |  | Second moment in time

## Function result

Number of whole weeks between ANow and AThen.

## Description

WeeksBetween returns the number of whole weeks between ANow and AThen. This means the fractional part of a Week is dropped.

## See also

YearsBetween |  | Calculate the number of whole years between two TDateTime values
MonthsBetween |  | Calculate the number of whole months between two TDateTime values
DaysBetween |  | Number of whole days between two TDateTime values.
HoursBetween |  | Calculate the number of whole hours between two TDateTime values.
MinutesBetween |  | Calculate the number of whole minutes between two TDateTime values.
SecondsBetween |  | Calculate the number of whole seconds between two TDateTime values.
MilliSecondsBetween |  | Calculate the number of whole milliseconds between two TDateTime values.

## Example

    Program Example57;

    { This program demonstrates the WeeksBetween function }

    Uses SysUtils,DateUtils;

    Procedure Test(ANow,AThen : TDateTime);

    begin
     Write('Number of weeks between ');
     Write(DateToStr(AThen),' and ',DateToStr(ANow));
     Writeln(' : ',WeeksBetween(ANow,AThen));
    end;

    Var
      D1,D2 : TDateTime;

    Begin
      D1:=Today;
      D2:=Today-7;
      Test(D1,D2);
      D2:=Today-8;
      Test(D1,D2);
      D2:=Today-14;
      Test(D1,D2);
      D2:=Today-35;
      Test(D1,D2);
      D2:=Today-36;
      Test(D1,D2);
      D2:=Today-17;
      Test(D1,D2);
    End.